%define upstream_name	 Finance-Quote
%define upstream_version 1.17
%define subrel 1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	Get stock and mutual fund quotes from various exchanges 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Finance/%{upstream_name}-%{upstream_version}.tar.gz
# mga#4508
Patch0:     Finance-Quote-1.17-fix_yahoo_urls_rt74660.patch

BuildRequires:       perl(LWP::UserAgent)
BuildRequires:       perl(HTML::TableExtract)
BuildRequires:       perl(CGI)
BuildRequires:       perl(HTML::Tree)
Buildarch:	noarch


%description
Finance::Quote provides access to time-delayed stockquotes from a
number of sources.  After you've installed the pacakage, try
'perldoc Finance::Quote' for full information.  Alternatively,
you can 'perldoc lib/Finance/Quote.pm' before the install.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p0 -b .yahoo

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc INSTALL ChangeLog Documentation/* META.yml
%{perl_vendorlib}/Finance
%{_mandir}/*/*


%changelog

* Wed Feb 15 2012 jquelin <jquelin> 1.170.0-1.1.mga1
+ Revision: 209315
- fix yahoo quote urls (mga#4508)

* Sun Jan 23 2011 jquelin <jquelin> 1.170.0-1.mga1
+ Revision: 33776
- mageia rebuild
- imported package perl-Finance-Quote

